Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.blueprint.event
Class EventAdminDispatcher

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.blueprint.event.EventAdminDispatcher

    public class EventAdminDispatcher

extends Object

Dispatcher that transforms Spring application context lifecycle events into notifications to the OSGi EventAdmin service. Note: This class does not assume the EventAdmin service or classes are available. If the classes are missing, the dispatcher will not publish any events during its life time. If the service is unavailable, the dispatcher will stop sending events until the service becomes available.

Author:
  Costin Leau

Constructor Summary
`EventAdminDispatcher(org.osgi.framework.BundleContext bundleContext)`

Method Summary
`void` | `afterClose(BlueprintEvent event)`
`void` | `afterRefresh(BlueprintEvent event)`
`void` | `beforeClose(BlueprintEvent event)`
`void` | `beforeRefresh(BlueprintEvent event)`
`void` | `grace(BlueprintEvent event)`
`void` | `refreshFailure(BlueprintEvent event)`
`void` | `waiting(BlueprintEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventAdminDispatcher

    public EventAdminDispatcher(org.osgi.framework.BundleContext bundleContext)

Method Detail

### beforeClose

    public void beforeClose(BlueprintEvent event)

### beforeRefresh

    public void beforeRefresh(BlueprintEvent event)

### afterClose

    public void afterClose(BlueprintEvent event)

### afterRefresh

    public void afterRefresh(BlueprintEvent event)

### refreshFailure

    public void refreshFailure(BlueprintEvent event)

### grace

    public void grace(BlueprintEvent event)

### waiting

    public void waiting(BlueprintEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.